<?xml version="1.0" encoding="UTF-8"?>
<tns:VectoInputDeclaration xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.4" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" schemaVersion="2.0" xmlns:tns="urn:tugraz:ivt:VectoAPI:DeclarationInput:v2.0" xmlns:di="http://www.w3.org/2000/09/xmldsig#" xsi:schemaLocation="urn:tugraz:ivt:VectoAPI:DeclarationJob V:\VectoCore\VectoCore\Resources\XSD/VectoDeclarationJob.xsd" xmlns:v1.0="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v1.0" xmlns:v2.0="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0" xmlns:v2.1="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.1"  xmlns:v2.3="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3" xmlns:v2.4="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.4">
	<v2.0:Vehicle xsi:type="Vehicle_PEV_HeavyLorryDeclarationType" id="a">
		<Manufacturer>TU Graz</Manufacturer>
		<ManufacturerAddress>Inffeldgasse 19</ManufacturerAddress>
		<Model>HEV Heavy Lorry Px</Model>
		<VIN>1234</VIN>
		<Date>2017-01-01T00:00:00Z</Date>
		<LegislativeCategory>N3</LegislativeCategory>
		<ChassisConfiguration>Rigid Lorry</ChassisConfiguration>
		<AxleConfiguration>4x2</AxleConfiguration>
		<CorrectedActualMass>6000</CorrectedActualMass>
		<TechnicalPermissibleMaximumLadenMass>12000</TechnicalPermissibleMaximumLadenMass>
		<RetarderType>None</RetarderType>
		<AngledriveType>None</AngledriveType>
		<PTO xsi:type="PTOType">
			<PTOShaftsGearWheels>none</PTOShaftsGearWheels>
			<PTOOtherElements>none</PTOOtherElements>
		</PTO>
		<ZeroEmissionVehicle>true</ZeroEmissionVehicle>
		<VocationalVehicle>false</VocationalVehicle>
		<!-- optional -->
		<SleeperCab>false</SleeperCab>
		<VehicleTypeApprovalNumber>ASDF</VehicleTypeApprovalNumber>
		<ArchitectureID>E2</ArchitectureID>
		<ADAS xsi:type="ADAS_PEV_Type">
			<PredictiveCruiseControl>1,2,3</PredictiveCruiseControl>
		</ADAS>
		<ElectricMotorTorqueLimits xsi:type="v2.4:ElectricMachineTorqueLimitsType">
			<!-- optional -->
			<ElectricMachine>
				<Position>2</Position>
				<VoltageLevel>
					<Voltage>100</Voltage>
					<MaxTorqueCurve>
						<v2.3:Entry outShaftSpeed="0.00" maxTorque="200.00" minTorque="-200.00"/>
						<v2.3:Entry outShaftSpeed="1000.00" maxTorque="300.00" minTorque="-300.00"/>
					</MaxTorqueCurve>
				</VoltageLevel>
				<VoltageLevel>
					<Voltage>500</Voltage>
					<MaxTorqueCurve>
						<v2.3:Entry outShaftSpeed="0.00" maxTorque="200.00" minTorque="-200.00"/>
						<v2.3:Entry outShaftSpeed="1000.00" maxTorque="300.00" minTorque="-300.00"/>
					</MaxTorqueCurve>
				</VoltageLevel>
			</ElectricMachine>
		</ElectricMotorTorqueLimits>
		<Components xsi:type="Components_PEV-E2_LorryType">
			<ElectricMachine>
				<PowertrainPosition>2</PowertrainPosition>
				<Count>1</Count>
				<ElectricMachineSystem>
					<v2.3:Data xsi:type="ElectricMachineSystemMeasuredDataDeclarationType" id="EM-1234" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3">
						<Manufacturer>a</Manufacturer>
						<Model>a</Model>
						<CertificationNumber>token</CertificationNumber>
						<Date>2017-01-01T00:00:00Z</Date>
						<AppVersion>aaaaa</AppVersion>
						<ElectricMachineType>ASM</ElectricMachineType>
						<CertificationMethod>Measured</CertificationMethod>
						<R85RatedPower>50000</R85RatedPower>
						<RotationalInertia>0.10</RotationalInertia>
						<DcDcConverterIncluded>true</DcDcConverterIncluded>
						<IHPCType>None</IHPCType>
						<VoltageLevel>
							<Voltage>400</Voltage>
							<ContinuousTorque>200.00</ContinuousTorque>
							<TestSpeedContinuousTorque>2000.00</TestSpeedContinuousTorque>
							<OverloadTorque>400.00</OverloadTorque>
							<TestSpeedOverloadTorque>2000.00</TestSpeedOverloadTorque>
							<OverloadDuration>30.00</OverloadDuration>
							<MaxTorqueCurve>
								<Entry outShaftSpeed="0.00" maxTorque="450.00" minTorque="-450.00"/>
								<Entry outShaftSpeed="4000.00" maxTorque="100.00" minTorque="-100.00"/>
							</MaxTorqueCurve>
							<PowerMap>
								<Entry outShaftSpeed="0.00" torque="400.00" electricPower="1000.00"/>
								<Entry outShaftSpeed="0.00" torque="-400.00" electricPower="-1000.00"/>
								<Entry outShaftSpeed="4000.00" torque="4000.00" electricPower="20000.00"/>
								<Entry outShaftSpeed="4000.00" torque="-4000.00" electricPower="-20000.00"/>
							</PowerMap>
						</VoltageLevel>
						<VoltageLevel>
							<Voltage>600</Voltage>
							<ContinuousTorque>200.00</ContinuousTorque>
							<TestSpeedContinuousTorque>2000.00</TestSpeedContinuousTorque>
							<OverloadTorque>400.00</OverloadTorque>
							<TestSpeedOverloadTorque>2000.00</TestSpeedOverloadTorque>
							<OverloadDuration>30.00</OverloadDuration>
							<MaxTorqueCurve>
								<Entry outShaftSpeed="0.00" maxTorque="450.00" minTorque="-450.00"/>
								<Entry outShaftSpeed="4000.00" maxTorque="100.00" minTorque="-100.00"/>
							</MaxTorqueCurve>
							<PowerMap>
								<Entry outShaftSpeed="0.00" torque="400.00" electricPower="1000.00"/>
								<Entry outShaftSpeed="0.00" torque="-400.00" electricPower="-1000.00"/>
								<Entry outShaftSpeed="4000.00" torque="4000.00" electricPower="20000.00"/>
								<Entry outShaftSpeed="4000.00" torque="-4000.00" electricPower="-20000.00"/>
							</PowerMap>
						</VoltageLevel>
						<DragCurve>
							<Entry outShaftSpeed="0.00" dragTorque="10.00"/>
							<Entry outShaftSpeed="4000.00" dragTorque="30.00"/>
						</DragCurve>
						<Conditioning>
							<Entry coolantTempInlet="30" coolingPower="5000"/>
						</Conditioning>
					</v2.3:Data>
					<v2.3:Signature>
						<di:Reference URI="#EM-1234">
							<di:Transforms>
								<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
								<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
							</di:Transforms>
							<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
							<di:DigestValue>ZUZEXNolQ1fX6DSEq+Chtxzam+X3e9nrw2frZnbK2dw=</di:DigestValue>
						</di:Reference>
					</v2.3:Signature>
				</ElectricMachineSystem>
				<P2.5GearRatios>
					<!-- only for P2.5 HEV -->
					<Ratio gear="1">1.000</Ratio>
					<Ratio gear="2">2.000</Ratio>
				</P2.5GearRatios>
			</ElectricMachine>
			<ElectricEnergyStorage>
				<Battery>
					<StringID>0</StringID>
					<REESS>
						<v2.4:Data id="BAT-asdf1" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3" xsi:type="BatterySystemStandardValuesDataType">
							<Manufacturer>a</Manufacturer>
							<Model>a</Model>
							<CertificationNumber>token</CertificationNumber>
							<Date>2017-01-01T00:00:00Z</Date>
							<AppVersion>aaaaa</AppVersion>
							<CertificationMethod>Standard values</CertificationMethod>
							<BatteryType>HPBS</BatteryType>
							<RatedCapacity>72.00</RatedCapacity>
							<OCV>
								<Entry SoC="0" OCV="620.00"/>
								<Entry SoC="100" OCV="640.00"/>
							</OCV>
							<InternalResistance>
								<Entry SoC="0" R_2="10.00" R_10="11.00" R_20="12.00"/>
								<Entry SoC="100" R_2="12.00" R_10="14.00" R_20="16.00"/>
							</InternalResistance>
							<CurrentLimits>
								<Entry SoC="0" maxChargingCurrent="50.00" maxDischargingCurrent="0.00"/>
								<Entry SoC="100" maxChargingCurrent="0.00" maxDischargingCurrent="50.00"/>
							</CurrentLimits>
						</v2.4:Data>
						<Signature>
							<di:Reference URI="#BAT-asdf1">
								<di:Transforms>
									<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
									<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
								</di:Transforms>
								<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
								<di:DigestValue>UFoGp9UIluhBUv3Geb+K0UtH+9Ood0kx3vujtzx7dyU=</di:DigestValue>
							</di:Reference>
						</Signature>
					</REESS>
					<SOCmin>20</SOCmin>
					<SOCmax>80</SOCmax>
				</Battery>
				<Battery>
					<StringID>1</StringID>
					<REESS>
						<v2.4:Data id="BAT-asdf2" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3" xsi:type="BatterySystemDataType">
							<Manufacturer>a</Manufacturer>
							<Model>a</Model>
							<CertificationNumber>token</CertificationNumber>
							<Date>2017-01-01T00:00:00Z</Date>
							<AppVersion>aaaaa</AppVersion>
							<CertificationMethod>Measured</CertificationMethod>
							<BatteryType>HPBS</BatteryType>
							<RatedCapacity>72.00</RatedCapacity>
							<ConnectorsSubsystemsIncluded>true</ConnectorsSubsystemsIncluded>
							<JunctionboxIncluded>true</JunctionboxIncluded>
							<TestingTemperature>20</TestingTemperature>
							<OCV>
								<Entry SoC="0" OCV="620.00"/>
								<Entry SoC="100" OCV="640.00"/>
							</OCV>
							<InternalResistance>
								<Entry SoC="0" R_2="10.00" R_10="11.00" R_20="12.00"/>
								<Entry SoC="100" R_2="12.00" R_10="14.00" R_20="16.00"/>
							</InternalResistance>
							<CurrentLimits>
								<Entry SoC="0" maxChargingCurrent="50.00" maxDischargingCurrent="0.00"/>
								<Entry SoC="100" maxChargingCurrent="0.00" maxDischargingCurrent="50.00"/>
							</CurrentLimits>
						</v2.4:Data>
						<Signature>
							<di:Reference URI="#BAT-asdf2">
								<di:Transforms>
									<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
									<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
								</di:Transforms>
								<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
								<di:DigestValue>oa0mdxJCVb7SnL4wavYaEjqdmrHntwVj9Poo6taL9u4=</di:DigestValue>
							</di:Reference>
						</Signature>
					</REESS>
				</Battery>
			</ElectricEnergyStorage>
			<Gearbox>
				<v2.0:Data id="gbx-vi2Oak2N" xsi:type="v2.0:GearboxDataDeclarationType" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0">
					<Manufacturer>Generic Gearbox Manufacturer</Manufacturer>
					<Model>Generic 40t Long Haul Truck Gearbox</Model>
					<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
					<Date>2017-01-11T11:00:00Z</Date>
					<AppVersion>3.0.1</AppVersion>
					<TransmissionType>AMT</TransmissionType>
					<MainCertificationMethod>Standard values</MainCertificationMethod>
					<Gears xsi:type="GearsDeclarationType">
						<Gear number="1">
							<Ratio>14.930</Ratio>
							<MaxTorque>1900</MaxTorque>
							<MaxSpeed>2000</MaxSpeed>
							<TorqueLossMap>
								<Entry inputSpeed="0.00" inputTorque="-1000.00" torqueLoss="25.06"/>
								<Entry inputSpeed="0.00" inputTorque="50.00" torqueLoss="6.06"/>
								<Entry inputSpeed="0.00" inputTorque="3000.00" torqueLoss="54.06"/>
								<Entry inputSpeed="2100.00" inputTorque="-1000.00" torqueLoss="35.69"/>
								<Entry inputSpeed="2100.00" inputTorque="50.00" torqueLoss="16.69"/>
								<Entry inputSpeed="2100.00" inputTorque="3000.00" torqueLoss="64.69"/>
							</TorqueLossMap>
						</Gear>
						<Gear number="2">
							<Ratio>11.640</Ratio>
							<MaxTorque>1900</MaxTorque>
							<MaxSpeed>2000</MaxSpeed>
							<TorqueLossMap>
								<Entry inputSpeed="0.00" inputTorque="-1000.00" torqueLoss="25.06"/>
								<Entry inputSpeed="0.00" inputTorque="50.00" torqueLoss="6.06"/>
								<Entry inputSpeed="0.00" inputTorque="3000.00" torqueLoss="54.06"/>
								<Entry inputSpeed="2100.00" inputTorque="-1000.00" torqueLoss="35.69"/>
								<Entry inputSpeed="2100.00" inputTorque="50.00" torqueLoss="16.69"/>
								<Entry inputSpeed="2100.00" inputTorque="3000.00" torqueLoss="64.69"/>
							</TorqueLossMap>
						</Gear>
					</Gears>
				</v2.0:Data>
				<v2.0:Signature>
					<di:Reference URI="#gbx-vi2Oak2N">
						<di:Transforms>
							<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
							<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
						</di:Transforms>
						<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
						<di:DigestValue>8fsWE1AvinkI5UcWuU/vyx3X2kKjarP/qPC+Uon+aBE=</di:DigestValue>
					</di:Reference>
				</v2.0:Signature>
			</Gearbox>
			<Axlegear>
				<v2.0:Data id="AXL-EC3ohnoh" xsi:type="v2.0:AxlegearDataDeclarationType" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0">
					<Manufacturer>Generic Gearbox Manufacturer</Manufacturer>
					<Model>Generic 40t Long Haul Truck AxleGear</Model>
					<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
					<Date>2017-01-11T11:00:00Z</Date>
					<AppVersion>3.0.1</AppVersion>
					<LineType>Single portal axle</LineType>
					<Ratio>2.590</Ratio>
					<CertificationMethod>Standard values</CertificationMethod>
					<TorqueLossMap>
						<Entry inputSpeed="0.00" inputTorque="-5000.00" torqueLoss="115.00"/>
						<Entry inputSpeed="0.00" inputTorque="0.00" torqueLoss="40.00"/>
						<Entry inputSpeed="0.00" inputTorque="15000.00" torqueLoss="265.00"/>
						<Entry inputSpeed="2100.00" inputTorque="-5000.00" torqueLoss="115.00"/>
						<Entry inputSpeed="2100.00" inputTorque="0.00" torqueLoss="40.00"/>
						<Entry inputSpeed="2100.00" inputTorque="35000.00" torqueLoss="565.00"/>
					</TorqueLossMap>
				</v2.0:Data>
				<v2.0:Signature>
					<di:Reference URI="#AXL-EC3ohnoh">
						<di:Transforms>
							<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
							<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
						</di:Transforms>
						<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
						<di:DigestValue>Ux2vo+s07pGr9XCbvNs/YbJcFaZClORRGXpP6Eyeze8=</di:DigestValue>
					</di:Reference>
				</v2.0:Signature>
			</Axlegear>
			<AxleWheels>
				<v2.0:Data xsi:type="v2.0:AxleWheelsDataDeclarationType" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0">
					<Axles>
						<Axle axleNumber="1" xsi:type="AxleDataDeclarationType">
							<AxleType>VehicleNonDriven</AxleType>
							<TwinTyres>false</TwinTyres>
							<Steered>true</Steered>
							<Tyre>
								<Data id="WHL-5432198760-315-70-R22.5" xsi:type="TyreDataDeclarationType">
									<Manufacturer>Generic Wheels Manufacturer</Manufacturer>
									<Model>Generic Wheel</Model>
									<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
									<Date>2017-01-11T14:00:00Z</Date>
									<AppVersion>Tyre Generation App 1.0</AppVersion>
									<Dimension>315/70 R22.5</Dimension>
									<RRCDeclared>0.0055</RRCDeclared>
									<FzISO>31300</FzISO>
								</Data>
								<Signature>
									<di:Reference URI="#WHL-5432198760-315-70-R22.5">
										<di:Transforms>
											<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
											<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
										</di:Transforms>
										<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
										<di:DigestValue>A/sq1ng4cqeOyauDUqUEnonRSPch3VCqZDX9Pf3tW1Q=</di:DigestValue>
									</di:Reference>
								</Signature>
							</Tyre>
						</Axle>
						<Axle axleNumber="2" xsi:type="AxleDataDeclarationType">
							<AxleType>VehicleDriven</AxleType>
							<TwinTyres>true</TwinTyres>
							<Steered>false</Steered>
							<Tyre>
								<Data id="WHL-5432198760-315-70-R22.5" xsi:type="TyreDataDeclarationType">
									<Manufacturer>Generic Wheels Manufacturer</Manufacturer>
									<Model>Generic Wheel</Model>
									<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
									<Date>2017-01-11T14:00:00Z</Date>
									<AppVersion>Tyre Generation App 1.0</AppVersion>
									<Dimension>315/70 R22.5</Dimension>
									<RRCDeclared>0.0063</RRCDeclared>
									<FzISO>31300</FzISO>
								</Data>
								<Signature>
									<di:Reference URI="#WHL-5432198760-315-70-R22.5">
										<di:Transforms>
											<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
											<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
										</di:Transforms>
										<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
										<di:DigestValue>z+KDXmc5MIezM6RVgfYax5J9Efi0ghciG2/wLLmWaBk=</di:DigestValue>
									</di:Reference>
								</Signature>
							</Tyre>
						</Axle>
					</Axles>
				</v2.0:Data>
			</AxleWheels>
			<Auxiliaries>
				<Data xsi:type="AUX_PEV_LorryDataType">
					<SteeringPump>
						<Technology axleNumber="1">Electric driven pump</Technology>
					</SteeringPump>
					<ElectricSystem>
						<Technology>Standard technology - LED headlights, all</Technology>
					</ElectricSystem>
					<PneumaticSystem>
						<Technology>Medium Supply 2-stage + elec. driven</Technology>
					</PneumaticSystem>
					<HVAC>
						<Technology>Default</Technology>
					</HVAC>
				</Data>
			</Auxiliaries>
		</Components>
	</v2.0:Vehicle>
</tns:VectoInputDeclaration>
